%define current_version 0.1.18

Name: phaul
Version: %{current_version}
Release:        1%{?dist}
Summary: Tool to live-migrate containers and processes
Group: System Environment/Base
License: GPLv2
URL: http://criu.org/p.haul
Source0: %{name}-%{version}.tar.bz2
Patch0: 0001-p.haul-temporary-set-max-verbosity-level.patch
BuildArch: noarch
Requires: python2 >= 2.7
Requires: python-criu
Requires: protobuf-python
Requires: python-ipaddr
Requires: python-ploop
BuildRequires: python2-devel >= 2.7

%description
p.haul is the project on top of CRIU implementing live migration
usage scenario for containers and processes. p.haul stands for
process hauler.

%prep
%setup -q -n %{name}-%{version}

%patch0 -p1

%build
%{__python2} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/%{name}
install -m 755 p.haul $RPM_BUILD_ROOT%{_libexecdir}/%{name}
install -m 755 p.haul-service $RPM_BUILD_ROOT%{_libexecdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{python2_sitelib}/%{name}
%{__python2} setup.py install --skip-build --root %{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%dir %{_libexecdir}/%{name}
%dir %{python2_sitelib}/%{name}
%attr(755,root,root) %{_libexecdir}/%{name}/p.haul
%attr(755,root,root) %{_libexecdir}/%{name}/p.haul-service
%{python2_sitelib}/%{name}/*
%{python2_sitelib}/*.egg-info
%doc README.md COPYING

%changelog
* Fri Sep 23 2016 Alexander Burluka <aburluka@virtuozzo.com> 0.1.18
 - Fix rollback for Virtuozzo container migration in restart mode

* Tue Aug 23 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.17
 - ignore existing old/obsoleted active delta files for ploop disks
 - fix path to freezer cgroup for Virtuozzo containers
 - increase dump and predump timeouts for Virtuozzo containers
 - specify secondary ploop disks as external in dump request options

* Tue Aug 23 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.16-3
- Remove merged to upstream patches

* Fri Jul 01 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.16-2
- Add 0007-p.haul-ignore-existing-old-obsoleted-active-delta-fi.patch, #PSBM-49076

* Fri Jul 01 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.16
- Internal rebuild for update1

* Wed Jun 22 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.15-3
- Add 0006-p.haul-fix-path-to-freezer-cgroup-for-Virtuozzo-cont.patch, #PSBM-48712

* Tue Jun 21 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.15-2
- Add 0005-p.haul-specify-secondary-ploop-disks-as-external-in-.patch, #PSBM-47398
- Add 0004-p.haul-minor-functions-reordering-in-Virtuozzo-haule.patch
- Add 0003-p.haul-add-Virtuozzo-specific-argument-to-pass-list-.patch

* Mon Jun 20 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.15
- Merge upstream

* Mon Jun 20 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.14-5
- Remove merged to upstream patches

* Tue Jun 14 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.14-4
- Add 0006-p.haul-increase-dump-and-predump-timeouts-for-Virtuo.patch, #PSBM-48256

* Mon Jun 13 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.14-3
- Add 0004-p.haul-specify-freezer-cgroup-for-predump-and-dump-r.patch, #PSBM-44613
- Add 0005-p.haul-make-it-possible-to-adjust-predump-request.patch

* Thu Jun 2 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.14-2
- Add 0003-p.haul-fix-error-handling-after-successfull-restore-.patch, #PSBM-42995

* Wed May 25 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.14
- Create Virtuozzo specific images during final dump, #PSBM-47399
- Forward correct verbosity level to criu restore
- Fix root_task_pid function for Virtuozzo containers

* Wed May 25 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.13-6
- Remove merged to upstream patches

* Sat May 14 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.13-5
- Add 0004-p.haul-minor-style-improvements-in-vz-module.patchi, #PSBM-46899
- Add 0005-p.haul-create-Virtuozzo-specific-dump-images-during-.patch, #PSBM-46899

* Wed May 4 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.13-4
- Add 0003-p.haul-forward-correct-verbosity-level-to-criu-resto.patch, #PSBM-46597

* Fri Apr 29 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.13-3
- Add 0002-p.haul-temporary-set-max-verbosity-level.patch

* Fri Apr 29 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.13-2
 - Add 0001-p.haul-fix-root_task_pid-function-for-Virtuozzo-cont.patch

* Wed Apr 27 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.13
 - Improve subprocess output logging
 - Tweak loggers configuration, #PSBM-42988

* Wed Apr 20 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.12
 - handle migration with id change, #PSBM-41168

* Mon Apr 18 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.11
 - Prevent VZ CT ARP ping on destination restore
 - Add criu version check, #PSBM-45010

* Thu Apr 14 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.10
 - p.haul: implement vz migration with shared ploops, #PSBM-42981

* Tue Mar 29 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.9
 - Internal rebuild

* Tue Mar 29 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.8
 - p.haul: workaround bug in tarfile module
 - p.haul: fix bug in fileobj_wrap.write
 - p.haul: implement migration in so-called restart mode, #PSBM-41177
 - p.haul: fix memory tracking support detection

* Tue Mar 29 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.7-3
 - Remove backported patches

* Fri Mar 18 2016 Nikita Spiridonov <nspiridonov@virtuozzo.com> 0.1.7-2
 - Add patches needed to workaround bug in tarfile module, #PSBM-45137

* Thu Mar 10 2016 Nikita Spiridonov <nspiridonov@odin.com> 0.1.7
 - Add Makefile.version file
 - Modified for vzbuild br support (Konstantin <wolf@parallels.com>)

* Thu Mar 10 2016 Nikita Spiridonov <nspiridonov@odin.com> 0.1.7
 - Add Makefile.version file
 - Modified for vzbuild br support (Konstantin <wolf@parallels.com>)

* Wed Dec 23 2015 Nikita Spiridonov <nspiridonov@odin.com> - 0.1.6
- Handle multiploop containers live migration, #PSBM-41061

* Wed Nov 25 2015 Nikita Spiridonov <nspiridonov@odin.com> - 0.1.5
- Fix ct config handling in Virtuozzo module, #PSBM-41362

* Mon Nov 16 2015 Nikita Spiridonov <nspiridonov@odin.com> - 0.1.4
- Update to 0.1.4
- Add 0001-p.haul-workaround-bug-in-tarfile-library.patch

* Tue Nov 3 2015 Nikita Spiridonov <nspiridonov@odin.com> - 0.1.3-2
- Add 0001-p.haul-fix-vzctl-utility-calls-in-vz-module.patch

* Wed Oct 28 2015 Nikita Spiridonov <nspiridonov@odin.com> - 0.1.3
- Update to 0.1.3

* Mon Sep 7 2015 Nikita Spiridonov <nspiridonov@odin.com> - 0.1.2
- Fix Virtuozzo containers cgroups bug
- Implement Virtuozzo specific container restore

* Wed Aug 5 2015 Nikita Spiridonov <nspiridonov@odin.com> - 0.1.1-2
- Add 0001-p.haul-fix-Virtuozzo-containers-cgroups-bug.patch

* Wed Jul 15 2015 Nikita Spiridonov <nspiridonov@odin.com> - 0.1.1-1
- Virtuozzo containers migration fixes

* Sun Apr 26 2015 Nikita Spiridonov <nspiridonov@odin.com> - 0.1-1
- Initial release
